﻿using System;

namespace NoteMan
{
    class Element
    {
        protected string Title;
        protected string Text;

        public Element()
        {
            Title = "";
            Text = "";
        }

        public Element(string Title, string Text)
        {
            this.Title = Title;
            this.Text = Text;
        }

        public string GetTitle()
        {
            return Title;
        }

        public void SetTitle(string title)
        {
            if (title.Length < 3)
            {
                Console.Out.WriteLine("Mininum Title length is 3!");
                throw new InvalidArgument();
            }
            this.Title = title;
        }

        public string GetText()
        {
            return Text;
        }

        public void SetText(string text)
        {
            this.Text = text;
        }

        public void UpdateRecord(string title, string text)
        {
            SetTitle(title);
            SetText(text);
        }
    }
}
