﻿using System;
using System.Collections.Generic;

namespace NoteMan
{
    class Project
    {
        private string title;
        private List<Element> elements = new List<Element>();

        public Project(string title)
        {
           SetTitle(title);
        }

        private string GetTitle()
        {
            return title;
        }

        private void SetTitle(string title)
        {
            if (title.Length < 3)
            {
                Console.Out.WriteLine("Mininum Title length is 3!");
                throw new InvalidArgument();
            }
            this.title = title;
        }
    }
}
